import request from '@/utils/request'

// 获取渠道id
export function indexInfo(params) {
  return request({
    url: '//sysapi.jxhh.com/api/v1/oem/webSite/domainChannel',
    // url: '//192.168.26.179:6601/api/v1/oem/webSite/domainChannel',
    // url: '//newsys.jxhh.com/api/v1/oem/webSite/domainChannel',
    method: 'get',
    params
  })
}
// 获取所有域名
export function getdomain(params) {
  return request({
    url: '//sysapi.jxhh.com/api/v1/oem/channel/domainFront',
    // url: '//192.168.26.179:6601/api/v1/oem/channel/domainFront',
    // url: '//newsys.jxhh.com/api/v1/oem/channel/domainFront',
    method: 'get',
    params
  })
}
// 获取官网设置接口
export function webSite(params) {
  return request({
    url: '//sysapi.jxhh.com/api/v1/oem/common/counsel',
    // url: '//192.168.26.179:6601/api/v1/oem/common/counsel',
    // url: '//newsys.jxhh.com/api/v1/oem/common/counsel',
    method: 'get',
    params
  })
}

// 云仓所有列表——Banner和域名/产品和服务/供应商入驻
export function getallCloudList(params) {
  return request({
    url: '//sysapi.jxhh.com/api/v1/oem/front/CloudList',
    // url: '//192.168.26.179:6601/api/v1/oem/front/CloudList',
    // url: '//newsys.jxhh.com/api/v1/oem/front/CloudList',
    method: 'get',
    params
  })
}
//获取sso域名
export function getssoUrl(data) {
  return request({
    url: '//sysapi.jxhh.com/api/v1/oem/webSite/ssoChannel',
    // url: '//192.168.26.179:6601/api/v1/oem/webSite/ssoChannel',
    // url: '//newsys.jxhh.com/api/v1/oem/webSite/ssoChannel',
    method: 'get',
    params: data
  })
}

// 获取logo
export function backDetailsView(params) {
  return request({
    url: '/local/oem/backDetails',
    method: 'get',
    params
  })
}
